                   The Gardener's Assistant
                           T G A

                    Shannon Software, Ltd.
                        P.O. Box 6126
                    Falls Church, VA 22040
                       (703) 573-9274

TGA is a general purpose vegetable garden planner.  See the HELP.TGA file
for further information (by typing it out, or by pressing F1 for HELP within
TGA).

TGA comes on a single 360K floppy diskette.  The diskette contains the TGA
program, this README file, the HELP file, the Vegetable Tables, and other
utility files.


TO RUN:

Type    TGA  and press ENTER.


HARD DISK:

You may copy the diskette to a hard disk or to a high density floppy to
run from either of these media.  This initial release does not allow running
from mixed drives or paths.  So all files must be in the same directory/drive.

You need only have the .BGI file for your adapter available when running TGA.
If you know you have a EGAVGA display adapter, you may erase all but the
EGAVGA.BGI file from the disk.


SMALL MEMORY MACHINES

The TGA program supplied will run on any system with 260K of available
memory.  It will run on systems with as little as 210K of available memory
but the HELP and F3-Tables options are not fully functional.

If you have less memory than this, you may contact Shannon Software, Ltd for
a copy of a small memory version which will run on any system with 220K of
available memory.  It will run on systems with as little as 190K of available
memory but the F3-Tables option is not fully functional.  It uses overlays and
is somewhat slower starting some functions.  Also we will provide a copy of
the TGATABLE program that allows modification of the vegetable tables without
using the TGA program (for those with less than 190K of available memory).
This is free if you obtained your current copy from Shannon Software, other-
wise it is $5.


MANUAL

If you are registered a separate diskette with the manual is also enclosed.
There are two versions: (1) The TGA.MAN is an ASCII file that can be viewed
with any editor or word processor and be printed using the DOS PRINT command.
(2) The TGA.WP is the same information in WordPerfect 5.0 format.

See below for a printed manual and further registration information.


CGA SNOW:

If the "snow" on CGA adapters is bothersome, press F5 on the initial TGA
screen to convert the display mode to BIOS which is slower but has no snow.
This may also be useful for any problems that occur with non-standard disp-
lay adapters.

Press any key to continue, or press F5 again to switch back to DIRECT screen
display mode.


USERS OF PREVIOUS VERSIONS

For user's of versions 1.0 and 1.1 the version 2.0 has improved versions of
WHERE (now Describe), WHAT (now Choose), HOW (now Layout), WHEN (now P/H
dates), and CHARTS (now Tables), that are faster, make better use of the
screen, and recognize all cursor moving keys.

Version 2.0 uses some of the same naming conventions as Version 1.1, but
the garden files and charts are NOT compatible.  If you have TGA on a hard
disk, make sure to copy it to a SEPARATE directory so it does not conflict
with old data.


FUTURE:

It is anticipated that the upcoming version 2.1 will build on this new
version and add support for wide-row/raised bed/square foot techniques, user
journaling of garden notes, automated assistance with succession and rotation
plantings, guidance on soil preparation, pest control, fertilization, and
similar non-layout related garden planning needs.  It is hoped this will
occur within the next year, but will depend somewhat on the rate of user
registrations and the time that allows away from rent paying activities,
if you know what we mean.


DISTRIBUTORS:

Shareware distributors are free to copy and distribute TGA so long as it
is distributed unchanged from our original in either program or data and this
README file is included unchanged.  Charges for shareware copies are not to
exceed $7.  All other commercial sale or distribution of TGA is expressly
prohibited.


REGISTRATION:

If you find TGA useful, please register with us for the fee shown below.
This registration will entitle you, at a minimum (depending on level), to
notice of upgrades and reduced prices.


You may choose the registration level you feel appropriate:

     $5  you like the program, understand it, want to contribute to your
         starving author, and do not need a manual.  You will get a copy
         of the latest version of the program from us, addition to our
         mailing list, notice of upgrades, and telephone support.

    $15  like above but you would like a copy of the manual.  This will
         be included on the disks we ship you for you to view and/or
         print.

    $25  like above, plus you get a printed copy of the manual.

Please call the following number to be advised of current pricing, as
the above prices may change.  You will hear a pre-recorded message
giving the prices.

                703 / 573-9274

Your registration is heartily encouraged.  Please feel free to call with any
questions.  If you encounter problems or have complaints we may ask you for
additional written descriptions of what steps you performed and/or copies of
screens.
